import * as React from 'react';
import { Config, Field, FieldLookup, FieldValue, Matcher, ReactFacetedSearchStyles, Option, Value, OperatorDisplay, SourceItem, defaultComparison, stringComparisons, numberComparisons, Nemonic, FreTextFunc } from './types';
import { isUnique } from './utils';
import { ComparisonItem } from './types/Config';
interface ReactFacetedSearchProps {
    matchers?: Matcher[];
    fields: Field[];
    functions?: Nemonic[];
    defaultComparison?: string;
    comparisonDescriptons?: ComparisonItem[];
    and?: string;
    or?: string;
    defaultItemLimit?: number;
    operators?: 'Simple' | 'AgGrid' | 'Complex';
    onMatchersChanged?: (matchers: Matcher[]) => void;
    onComplete?: (matchers: Matcher[], func?: string) => void;
    onCompleteError?: (//if there is an error with a function
    func: string, errorMessage: string, missingFields?: string[]) => void;
    clearIcon?: React.ReactElement;
    maxMatcherWidth?: number;
    maxDropDownHeight?: number;
    searchStartLength?: number;
    showCategories?: boolean;
    categoryPosition?: 'top' | 'left';
    hideToolTip?: boolean;
    allowFreeText?: boolean;
    pasteMatchTimeout?: number;
    pasteFreeTextAction?: FreTextFunc;
    promiseDelay?: number;
    showWhenSearching?: boolean;
    hideHelp?: boolean;
    styles?: ReactFacetedSearchStyles;
}
declare const ReactFacetedSearch: React.FC<ReactFacetedSearchProps>;
export type { Config, Field, FieldLookup, FieldValue, Matcher, ReactFacetedSearchStyles, Option, Value, OperatorDisplay, SourceItem, Nemonic, FreTextFunc, };
export { defaultComparison, stringComparisons, numberComparisons, isUnique };
export default ReactFacetedSearch;
