import { Option } from '../../../component/types';
import Field, { FieldLookup, SourceItem } from '../../../component/types/Field';
export interface CategoryOptions {
    category: string;
    options: Option[];
    delayedPromise?: boolean;
}
export declare const FUNCTIONS_TEXT = "Functions";
export interface FunctionState {
    allOptions: CategoryOptions[];
    op: 'or' | 'and' | null;
    comparison: string | null;
}
export declare const mapOptions: (items: SourceItem[], name: string, dsl: FieldLookup) => Option[];
export declare const addOptionsPlaceholder: (ds: Field, dsl: FieldLookup, allOptions: CategoryOptions[], defaultItemLimit: number, fields: Field[]) => void;
export declare const removeOptionsPlaceholder: (ds: Field, allOptions: CategoryOptions[]) => boolean;
export declare const updateOptions: (items: SourceItem[], ds: Field, dsl: FieldLookup, allOptions: CategoryOptions[], defaultItemLimit: number, fields: Field[], delayedPromise?: boolean) => number;
export declare const addOptions: (allOptions: CategoryOptions[], ds: Field, dsl: FieldLookup, options: Option[], defaultItemLimit: number, fields: Field[], delayedPromise?: boolean) => void;
export declare const insertOptions: (allOptions: CategoryOptions[], ds: Field, options: Option[], fields: Field[], delayedPromise?: boolean) => void;
export declare const matchItems: (item: SourceItem, ds: FieldLookup, searchText: string) => boolean;
export declare const getCategoryIndex: (currentIndex: number, options: CategoryOptions[], forward?: boolean) => number;
