import Field from './Field';
import Nemonic from './Nemonic';
export type OperatorDisplay = 'Names' | 'Symbols';
export interface ComparisonItem {
    symbol: string;
    description: string;
}
export default interface Config {
    fields: Field[];
    functions?: Nemonic[];
    defaultComparison: string;
    and: string;
    or: string;
    comparisons: string[];
    comparisonDescriptions: ComparisonItem[];
    defaultItemLimit: number;
    operators: 'Simple' | 'AgGrid' | 'Complex';
    operatorDisplay?: OperatorDisplay;
    maxMatcherWidth?: number;
    maxDropDownHeight?: number;
    searchStartLength?: number;
    promiseDelay?: number;
    hideHelp?: boolean;
    showWhenSearching?: boolean;
    showCategory?: boolean;
    categoryPosition?: 'top' | 'left';
}
